:root {
  --greyvalacolor: #536471;
  --bluevalacolor: #1d9bf0;
}

* {
  margin: 0;
  padding: 0;
  font-family: TwitterChirp, -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, Helvetica, Arial, sans-serif;
}

.author-logo {
  height: 48px;
  width: 48px;
}

.leftsidemenu div {
  padding: 08px;
  border-radius: 25px;
}
.leftsidemenu div:hover {
  background-color: rgba(0, 0, 0, 0.15);
  transition: 200ms;
}

.main input {
  outline: none;
  border: none;
  width: 300px;
}

.main :placeholder-shown {
  font-size: 1.2rem;
}

.icon-container {
  border-radius: 50%;
}
.icon-container:hover {
  background-color: rgba(178, 213, 224, 0.8);
  transition: 200ms;
  transition-timing-function: cubic-bezier(0.17, 0.67, 0.83, 0.67);
}

.replies a {
  text-decoration: none;
  color: var(--greyvalacolor);
}

.searchbox {
  border: none;
  outline: none;
  background-color: rgb(222, 222, 222);
  /* background-color: black; */
  z-index: 5;
}

.searchbox:focus {
  border: 1px solid #1d9bf0;
  background-color: white;
}

/*Trends and Who to follow*/

.trends {
  background-color: rgba(177, 184, 189, 0.21);
}

.trends .blocks:hover {
  background-color: rgba(83, 100, 113, 0.21);
  cursor: pointer;
}

.who-to-follow {
  background-color: rgba(177, 184, 189, 0.21);
  border-radius: 15px;
}

.who-to-follow .who-to-follow-blocks:hover {
  background-color: rgba(83, 100, 113, 0.21);
  cursor: pointer;
}

.who-to-follow-blocks {
  position: relative;
}

.who-to-follow-blocks .button {
  width: 80px;
  border-radius: 25px;
  background-color: black;
  color: white;
  text-align: center;
  padding: 8px;
  position: absolute;
  right: 15px;
}

/*Responsive-mobileview-searchbar*/

.responsive-tweetbutton {
  border-radius: 50%;
  background-color: #1d9bf0;
  height: 50px;
  width: 50px;
  padding-bottom: 20px;
  padding-top: 10px;
  text-align: center;
  position: absolute;
  bottom: 50px;
  right: 20px;
}

.main-footer {
  display: flex;
  justify-content: space-evenly;
  font-size: 20px;
  position: sticky;
  bottom: 0px;
  background-color: rgb(255, 255, 255);
  height: 40px;
  padding-top: 7px;
}

/*Leftside menu for widths < 700px*/

.responsive-leftmenu {
  height: 100vh;
  background-color: white;
  text-align: center;
  font-size: 20px;
  padding-left: 15px;
}

.responsive-leftmenu .icon {
  margin-bottom: 30px;
}

.responsive-leftmenu button {
  background-color: #1d9bf0;
  color: white;
  height: 50px;
  width: 50px;
  border: none;
  border-radius: 50%;
  font-size: 1.5rem;
}

#leftcontainer {
  display: flex;
  justify-content: center;
}

#temp {
  display: flex;
}

/*----------------------Sticky positions of right------------------------------*/

.rightsidemenu {
  position: sticky;
  top: 0px;
}
/* .searchbox {
  position: sticky;
  top: 0px;
}

.rightcontainer #who-to-follow {
  position: sticky;
  top: 60px;
}

.copyright {
  position: sticky;
  top: 450px;
} */
/*--------------------Icons hovering----------------*/
.innermost {
  display: inline-block;
  border-radius: 50px;
  height: 30px;
  width: 30px;
}

.innermost i {
  padding-top: 5px;
  padding-left: 5px;
}

.reply-container1 a:hover {
  color: rgba(29, 155, 240, 0.8);
}

.reply-container2 a:hover {
  color: rgba(5, 191, 5, 0.7);
}

.reply-container3 a:hover {
  color: rgba(255, 0, 0, 0.8);
}

.reply-container4 a:hover {
  color: rgba(29, 155, 240, 0.8);
}

.reply-container1:hover .icn1 {
  background-color: rgba(29, 155, 240, 0.2);
}

.reply-container2:hover .icn2 {
  background-color: rgba(5, 191, 5, 0.2);
}

.reply-container3:hover .icn3 {
  background-color: rgba(255, 0, 0, 0.3);
}

.reply-container4:hover .icn4 {
  background-color: rgba(29, 155, 240, 0.2);
}
